Bug 53803 - Issue where using FormsApplicationActivity crashes on latest nightlies after PR631.
Summary: Issue where using FormsApplicationActivity crashes on latest nightlies after ...
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Paul DiPietro [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-03-22 19:29 UTC by Brad Chase
Modified: 2017-03-24 20:20 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Brad Chase 2017-03-22 19:29:50 UTC
Xamarin.Forms.Platform.Android:

The problem exists in the current nightlies.  If you are still using the FormsApplicationActivity instead of FormsAppCompatActivity, the title in toolbar is not the first element but further down the line of elements.

The app crashes at initialization with an invalid cast.

I have a new PR I will put up with the fix, I am just placing this here for reference and discussion.
Comment 2 Paul DiPietro [MSFT] 2017-03-22 22:16:59 UTC
Weird, I'm on the latest nightly using FormsApplicationActivity and it isn't crashing. It should just be a NavPage containing a ContentPage with a title, right?
Comment 3 Brad Chase 2017-03-22 23:02:33 UTC
Hmm well I switched out the main page to a masterdetail which is what we use and added a simple style inheriting from light.  I did that in the sample pages gallery project.  I don't believe the style needs to be there so maybe it's the master details page combined with the FormsApplicationActivity.
Comment 4 Brad Chase 2017-03-22 23:04:48 UTC
To note, the first element is an image.
Comment 5 Paul DiPietro [MSFT] 2017-03-24 16:50:08 UTC
Just to verify, is this occuring in the prereleases, or only the nightlies? For sake of completeness would you mind uploading a reproduction?
Comment 6 Brad Chase 2017-03-24 19:18:11 UTC
Just the nightlies.
Comment 7 Rui Marinho 2017-03-24 20:20:39 UTC
Should be fixed on the next one.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.